BlockEvents.modification(event => {
	//environment
	event.modify([
		'minecraft:sculk',
		'minecraft:spawner',
		'immersiveengineering:fluid_placer'
	], block => {
		block.explosionResistance = 10000.0
		block.destroySpeed = -1.0
	})
	
	event.modify([
		'supplementaries:book_pile',
		'supplementaries:book_pile_horizontal'
	], block => {
		block.destroySpeed = 0.0
	})

	event.modify([
		'antiblocksrechiseled:bright_black',
		'antiblocksrechiseled:bright_cyan'
	], block => {
		block.explosionResistance = 10000.0
		//block.hasCollision = false
	})

})

ItemEvents.modification(event => {
	event.modify([
		'dustrial_decor:cardboard_box',
		'dustrial_decor:folded_cardboard',
		'dustrial_decor:smooth_cardboard',
		'dustrial_decor:cardboard_scrap'
	], item => {
		item.setBurnTime(1000)
	})
	event.modify(
		'dustrial_decor:smooth_cardboard_stairs'
	, item => {
		item.setBurnTime(800)
	})
	event.modify(
		'dustrial_decor:smooth_cardboard_slab'
	, item => {
		item.setBurnTime(500)
	})
	event.modify([
		'farmersdelight:flint_knife',
		'dustrial_decor:cardboard'
	], item => {
		item.setBurnTime(200)
	})
	event.modify(
		'storage_shelves:large_cardboard_box'
	, item => {
		item.setBurnTime(6000) //unable to be modified 
	})
	event.modify(
		'storage_shelves:cardboard_box'
	, item => {
		item.setBurnTime(2400) //unable to be modified 
	})

})

ForgeEvents.onEvent("net.minecraftforge.event.entity.player.PlayerEvent$BreakSpeed", event => global.breakSpeed(event))
/**
 * 
 * @param {Internal.PlayerEvent$BreakSpeed} event 
 */
global.breakSpeed = event => {
    try {
        if (event.entity.level.getBlock(event.getPosition().get()).hasTag('kubejs:unbreakable'))
            event.setNewSpeed(0)
    } catch (error) {
        console.log(error)
    }
}